Bug 188857 - CVE-2006-1734 Privilege escalation using a JavaScript function's cloned parent
CVE-2006-1734 Privilege escalation using a JavaScript function's cloned parent
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: thunderbird (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
reported=20060412,source=mozilla,emba...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-13 00:01 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0330
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-25 09:38:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-04-13 00:01:24 EDT
Privilege escalation using a JavaScript function's cloned parent


shutdown discovered it was possible to use the Object.watch() method to
access an internal function object (the "clone parent") which could then be
used to run arbitrary JavaScript code with full permission. This could be
used to install malware such as password sniffers or viruses.

In pre-release versions of Firefox 1.5 the same technique could be applied
to the Array generic methods introduced in that release.

Note: Thunderbird shares the JavaScript engine with Firefox and could be
vulnerable if JavaScript were to be enabled in mail. This is not the default
setting and we strongly discourage users from running JavaScript in mail.

Workaround

Disable JavaScript until you can upgrade to a fixed version.

References

[1]https://bugzilla.mozilla.org/show_bug.cgi?id=313370
[2]https://bugzilla.mozilla.org/show_bug.cgi?id=313684
Comment 3 Josh Bressers 2006-04-21 11:16:58 EDT
Lifting embargo
Comment 4 Red Hat Bugzilla 2006-04-21 11:35:43 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0330.html
Comment 5 Red Hat Bugzilla 2006-04-25 09:38:40 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0330.html

Note You need to log in before you can comment on or make changes to this bug.